Endpoints챌린지

보호자 초대 챌린지 생성

`sessionId`에 연결된 보호자 초대 챌린지를 생성하고 `parentEmail`로 초대 메일을 발송합니다. 보호자 동의가 필요하지 않고 세션이 아직 보호자와 연결되지 않은 플레이어만 사용할 수 있으며, 그 외의 세션은 거부됩니다(아래 오류 코드 참조). PASS가 되면 동일한 `sessionId`와 함께 `Challenge.StateChange`가 발생하므로 결과를 이 초대와 연결할 수 있습니다.

POST
/challenge/invite-parent
AuthorizationBearer <token>

In: header

Request Body

application/json

Invite parent request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/challenge/invite-parent" \  -H "Content-Type: application/json" \  -d '{    "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672",    "parentEmail": "parent@example.com",    "playerName": "Alex",    "locale": "en"  }'
{  "status": "CHALLENGE",  "challenge": {    "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",    "type": "CHALLENGE_PARENT_INVITE"  }}